// DO NOT EDIT: This file is autogenerated via the builtin command.

package aggregate

import (
	ast "github.com/influxdata/flux/ast"
	runtime "github.com/influxdata/flux/runtime"
)

func init() {
	runtime.RegisterPackage(pkgAST)
}

var pkgAST = &ast.Package{
	BaseNode: ast.BaseNode{
		Errors: nil,
		Loc:    nil,
	},
	Files: []*ast.File{&ast.File{
		BaseNode: ast.BaseNode{
			Errors: nil,
			Loc: &ast.SourceLocation{
				End: ast.Position{
					Column: 2,
					Line:   104,
				},
				File:   "aggregate.flux",
				Source: "package aggregate\n\nimport \"contrib/jsternberg/math\"\n\n// table will aggregate columns and create tables with a single\n// row containing the aggregated value.\n//\n// This function takes a single parameter of `columns`. The parameter\n// is an object with the output column name as the key and the aggregate\n// object as the value.\n//\n// The aggregate object is composed of at least the following required attributes:\n//     column = string\n//         The column name for the input.\n//     init = (values) -> state\n//         An initial function to compute the initial state of the\n//         output. This can return either the final aggregate or a\n//         temporary state object that can be used to compute the\n//         final aggregate. The values parameter will always be a\n//         non-empty array of values from the specified column.\n//     reduce = (values, state) -> state\n//         A function that takes in another buffer of values\n//         and the current state of the aggregate and computes\n//         the updated state.\n//     compute = (state) -> value\n//         A function that takes the state and computes the final\n//         aggregate.\n//     fill = value\n//         The value passed to fill, if present, will determine what\n//         the aggregate does when there are no values.\n//         This can either be a value or one of the predefined\n//         identifiers of null or none.\n//         This value must be the same type as the value return from\n//         compute.\n//\n// An example of usage is:\n//     tables |> aggregate.table(columns: {\n//         \"min_bottom_degrees\": aggregate.min(column: \"bottom_degrees\"),\n//     ])\nbuiltin table : (<-tables: [A], columns: C) => [B] where A: Record, B: Record, C: Record\n\n// null is a sentinel value for fill that will fill\n// in a null value if there were no values for an interval.\nbuiltin null : A\n\n// none is a sentinel value for fill that will skip\n// emitting a row if there are no values for an interval.\nbuiltin none : A\n\n// define will define an aggregate function.\ndefine = (init, reduce, compute, fill=null) => (column, fill=fill) => ({\n\tcolumn: column,\n\tinit: init,\n\treduce: reduce,\n\tcompute: compute,\n\tfill: fill,\n})\n\n_make_selector = (fn) => define(\n\tinit: (values) => fn(values),\n\treduce: (values, state) => {\n\t\tv = fn(values)\n\t\treturn fn(values: [state, v])\n\t},\n\tcompute: (state) => state,\n)\n\n// min constructs a min aggregate or selector for the column.\nmin = _make_selector(fn: math.min)\n\n// max constructs a max aggregate or selector for the column.\nmax = _make_selector(fn: math.max)\n\n// sum constructs a sum aggregate for the column.\nsum = define(\n\tinit: (values) => math.sum(values),\n\treduce: (values, state) => {\n\t\treturn state + math.sum(values)\n\t},\n\tcompute: (state) => state,\n)\n\n// count constructs a count aggregate for the column.\ncount = define(\n\tinit: (values) => length(arr: values),\n\treduce: (values, state) => {\n\t\treturn state + length(arr: values)\n\t},\n\tcompute: (state) => state,\n\tfill: 0,\n)\n\n// mean constructs a mean aggregate for the column.\nmean = define(\n\tinit: (values) => ({\n\t\tsum: math.sum(values),\n\t\tcount: length(arr: values),\n\t}),\n\treduce: (values, state) => ({\n\t\tsum: state.sum + math.sum(values),\n\t\tcount: state.count + length(arr: values),\n\t}),\n\tcompute: (state) => float(v: state.sum) / float(v: state.count),\n)",
				Start: ast.Position{
					Column: 1,
					Line:   1,
				},
			},
		},
		Body: []ast.Statement{&ast.BuiltinStatement{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 14,
						Line:   40,
					},
					File:   "aggregate.flux",
					Source: "builtin table",
					Start: ast.Position{
						Column: 1,
						Line:   40,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 14,
							Line:   40,
						},
						File:   "aggregate.flux",
						Source: "table",
						Start: ast.Position{
							Column: 9,
							Line:   40,
						},
					},
				},
				Name: "table",
			},
			Ty: ast.TypeExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 89,
							Line:   40,
						},
						File:   "aggregate.flux",
						Source: "(<-tables: [A], columns: C) => [B] where A: Record, B: Record, C: Record",
						Start: ast.Position{
							Column: 17,
							Line:   40,
						},
					},
				},
				Constraints: []*ast.TypeConstraint{&ast.TypeConstraint{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 67,
								Line:   40,
							},
							File:   "aggregate.flux",
							Source: "A: Record",
							Start: ast.Position{
								Column: 58,
								Line:   40,
							},
						},
					},
					Kinds: []*ast.Identifier{&ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 67,
									Line:   40,
								},
								File:   "aggregate.flux",
								Source: "Record",
								Start: ast.Position{
									Column: 61,
									Line:   40,
								},
							},
						},
						Name: "Record",
					}},
					Tvar: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 59,
									Line:   40,
								},
								File:   "aggregate.flux",
								Source: "A",
								Start: ast.Position{
									Column: 58,
									Line:   40,
								},
							},
						},
						Name: "A",
					},
				}, &ast.TypeConstraint{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 78,
								Line:   40,
							},
							File:   "aggregate.flux",
							Source: "B: Record",
							Start: ast.Position{
								Column: 69,
								Line:   40,
							},
						},
					},
					Kinds: []*ast.Identifier{&ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 78,
									Line:   40,
								},
								File:   "aggregate.flux",
								Source: "Record",
								Start: ast.Position{
									Column: 72,
									Line:   40,
								},
							},
						},
						Name: "Record",
					}},
					Tvar: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 70,
									Line:   40,
								},
								File:   "aggregate.flux",
								Source: "B",
								Start: ast.Position{
									Column: 69,
									Line:   40,
								},
							},
						},
						Name: "B",
					},
				}, &ast.TypeConstraint{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 89,
								Line:   40,
							},
							File:   "aggregate.flux",
							Source: "C: Record",
							Start: ast.Position{
								Column: 80,
								Line:   40,
							},
						},
					},
					Kinds: []*ast.Identifier{&ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 89,
									Line:   40,
								},
								File:   "aggregate.flux",
								Source: "Record",
								Start: ast.Position{
									Column: 83,
									Line:   40,
								},
							},
						},
						Name: "Record",
					}},
					Tvar: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 81,
									Line:   40,
								},
								File:   "aggregate.flux",
								Source: "C",
								Start: ast.Position{
									Column: 80,
									Line:   40,
								},
							},
						},
						Name: "C",
					},
				}},
				Ty: &ast.FunctionType{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 51,
								Line:   40,
							},
							File:   "aggregate.flux",
							Source: "(<-tables: [A], columns: C) => [B]",
							Start: ast.Position{
								Column: 17,
								Line:   40,
							},
						},
					},
					Parameters: []*ast.ParameterType{&ast.ParameterType{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 31,
									Line:   40,
								},
								File:   "aggregate.flux",
								Source: "<-tables: [A]",
								Start: ast.Position{
									Column: 18,
									Line:   40,
								},
							},
						},
						Kind: "Pipe",
						Name: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 26,
										Line:   40,
									},
									File:   "aggregate.flux",
									Source: "tables",
									Start: ast.Position{
										Column: 20,
										Line:   40,
									},
								},
							},
							Name: "tables",
						},
						Ty: &ast.ArrayType{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 31,
										Line:   40,
									},
									File:   "aggregate.flux",
									Source: "[A]",
									Start: ast.Position{
										Column: 28,
										Line:   40,
									},
								},
							},
							ElementType: &ast.TvarType{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 30,
											Line:   40,
										},
										File:   "aggregate.flux",
										Source: "A",
										Start: ast.Position{
											Column: 29,
											Line:   40,
										},
									},
								},
								ID: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 30,
												Line:   40,
											},
											File:   "aggregate.flux",
											Source: "A",
											Start: ast.Position{
												Column: 29,
												Line:   40,
											},
										},
									},
									Name: "A",
								},
							},
						},
					}, &ast.ParameterType{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 43,
									Line:   40,
								},
								File:   "aggregate.flux",
								Source: "columns: C",
								Start: ast.Position{
									Column: 33,
									Line:   40,
								},
							},
						},
						Kind: "Required",
						Name: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 40,
										Line:   40,
									},
									File:   "aggregate.flux",
									Source: "columns",
									Start: ast.Position{
										Column: 33,
										Line:   40,
									},
								},
							},
							Name: "columns",
						},
						Ty: &ast.TvarType{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 43,
										Line:   40,
									},
									File:   "aggregate.flux",
									Source: "C",
									Start: ast.Position{
										Column: 42,
										Line:   40,
									},
								},
							},
							ID: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 43,
											Line:   40,
										},
										File:   "aggregate.flux",
										Source: "C",
										Start: ast.Position{
											Column: 42,
											Line:   40,
										},
									},
								},
								Name: "C",
							},
						},
					}},
					Return: &ast.ArrayType{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 51,
									Line:   40,
								},
								File:   "aggregate.flux",
								Source: "[B]",
								Start: ast.Position{
									Column: 48,
									Line:   40,
								},
							},
						},
						ElementType: &ast.TvarType{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 50,
										Line:   40,
									},
									File:   "aggregate.flux",
									Source: "B",
									Start: ast.Position{
										Column: 49,
										Line:   40,
									},
								},
							},
							ID: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 50,
											Line:   40,
										},
										File:   "aggregate.flux",
										Source: "B",
										Start: ast.Position{
											Column: 49,
											Line:   40,
										},
									},
								},
								Name: "B",
							},
						},
					},
				},
			},
		}, &ast.BuiltinStatement{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 13,
						Line:   44,
					},
					File:   "aggregate.flux",
					Source: "builtin null",
					Start: ast.Position{
						Column: 1,
						Line:   44,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 13,
							Line:   44,
						},
						File:   "aggregate.flux",
						Source: "null",
						Start: ast.Position{
							Column: 9,
							Line:   44,
						},
					},
				},
				Name: "null",
			},
			Ty: ast.TypeExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 17,
							Line:   44,
						},
						File:   "aggregate.flux",
						Source: "A",
						Start: ast.Position{
							Column: 16,
							Line:   44,
						},
					},
				},
				Constraints: []*ast.TypeConstraint{},
				Ty: &ast.TvarType{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 17,
								Line:   44,
							},
							File:   "aggregate.flux",
							Source: "A",
							Start: ast.Position{
								Column: 16,
								Line:   44,
							},
						},
					},
					ID: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 17,
									Line:   44,
								},
								File:   "aggregate.flux",
								Source: "A",
								Start: ast.Position{
									Column: 16,
									Line:   44,
								},
							},
						},
						Name: "A",
					},
				},
			},
		}, &ast.BuiltinStatement{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 13,
						Line:   48,
					},
					File:   "aggregate.flux",
					Source: "builtin none",
					Start: ast.Position{
						Column: 1,
						Line:   48,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 13,
							Line:   48,
						},
						File:   "aggregate.flux",
						Source: "none",
						Start: ast.Position{
							Column: 9,
							Line:   48,
						},
					},
				},
				Name: "none",
			},
			Ty: ast.TypeExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 17,
							Line:   48,
						},
						File:   "aggregate.flux",
						Source: "A",
						Start: ast.Position{
							Column: 16,
							Line:   48,
						},
					},
				},
				Constraints: []*ast.TypeConstraint{},
				Ty: &ast.TvarType{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 17,
								Line:   48,
							},
							File:   "aggregate.flux",
							Source: "A",
							Start: ast.Position{
								Column: 16,
								Line:   48,
							},
						},
					},
					ID: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 17,
									Line:   48,
								},
								File:   "aggregate.flux",
								Source: "A",
								Start: ast.Position{
									Column: 16,
									Line:   48,
								},
							},
						},
						Name: "A",
					},
				},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 3,
						Line:   57,
					},
					File:   "aggregate.flux",
					Source: "define = (init, reduce, compute, fill=null) => (column, fill=fill) => ({\n\tcolumn: column,\n\tinit: init,\n\treduce: reduce,\n\tcompute: compute,\n\tfill: fill,\n})",
					Start: ast.Position{
						Column: 1,
						Line:   51,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 7,
							Line:   51,
						},
						File:   "aggregate.flux",
						Source: "define",
						Start: ast.Position{
							Column: 1,
							Line:   51,
						},
					},
				},
				Name: "define",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 3,
							Line:   57,
						},
						File:   "aggregate.flux",
						Source: "(init, reduce, compute, fill=null) => (column, fill=fill) => ({\n\tcolumn: column,\n\tinit: init,\n\treduce: reduce,\n\tcompute: compute,\n\tfill: fill,\n})",
						Start: ast.Position{
							Column: 10,
							Line:   51,
						},
					},
				},
				Body: &ast.FunctionExpression{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 3,
								Line:   57,
							},
							File:   "aggregate.flux",
							Source: "(column, fill=fill) => ({\n\tcolumn: column,\n\tinit: init,\n\treduce: reduce,\n\tcompute: compute,\n\tfill: fill,\n})",
							Start: ast.Position{
								Column: 48,
								Line:   51,
							},
						},
					},
					Body: &ast.ParenExpression{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 3,
									Line:   57,
								},
								File:   "aggregate.flux",
								Source: "({\n\tcolumn: column,\n\tinit: init,\n\treduce: reduce,\n\tcompute: compute,\n\tfill: fill,\n})",
								Start: ast.Position{
									Column: 71,
									Line:   51,
								},
							},
						},
						Expression: &ast.ObjectExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 2,
										Line:   57,
									},
									File:   "aggregate.flux",
									Source: "{\n\tcolumn: column,\n\tinit: init,\n\treduce: reduce,\n\tcompute: compute,\n\tfill: fill,\n}",
									Start: ast.Position{
										Column: 72,
										Line:   51,
									},
								},
							},
							Properties: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 16,
											Line:   52,
										},
										File:   "aggregate.flux",
										Source: "column: column",
										Start: ast.Position{
											Column: 2,
											Line:   52,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 8,
												Line:   52,
											},
											File:   "aggregate.flux",
											Source: "column",
											Start: ast.Position{
												Column: 2,
												Line:   52,
											},
										},
									},
									Name: "column",
								},
								Value: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 16,
												Line:   52,
											},
											File:   "aggregate.flux",
											Source: "column",
											Start: ast.Position{
												Column: 10,
												Line:   52,
											},
										},
									},
									Name: "column",
								},
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 12,
											Line:   53,
										},
										File:   "aggregate.flux",
										Source: "init: init",
										Start: ast.Position{
											Column: 2,
											Line:   53,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 6,
												Line:   53,
											},
											File:   "aggregate.flux",
											Source: "init",
											Start: ast.Position{
												Column: 2,
												Line:   53,
											},
										},
									},
									Name: "init",
								},
								Value: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 12,
												Line:   53,
											},
											File:   "aggregate.flux",
											Source: "init",
											Start: ast.Position{
												Column: 8,
												Line:   53,
											},
										},
									},
									Name: "init",
								},
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 16,
											Line:   54,
										},
										File:   "aggregate.flux",
										Source: "reduce: reduce",
										Start: ast.Position{
											Column: 2,
											Line:   54,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 8,
												Line:   54,
											},
											File:   "aggregate.flux",
											Source: "reduce",
											Start: ast.Position{
												Column: 2,
												Line:   54,
											},
										},
									},
									Name: "reduce",
								},
								Value: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 16,
												Line:   54,
											},
											File:   "aggregate.flux",
											Source: "reduce",
											Start: ast.Position{
												Column: 10,
												Line:   54,
											},
										},
									},
									Name: "reduce",
								},
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 18,
											Line:   55,
										},
										File:   "aggregate.flux",
										Source: "compute: compute",
										Start: ast.Position{
											Column: 2,
											Line:   55,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 9,
												Line:   55,
											},
											File:   "aggregate.flux",
											Source: "compute",
											Start: ast.Position{
												Column: 2,
												Line:   55,
											},
										},
									},
									Name: "compute",
								},
								Value: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 18,
												Line:   55,
											},
											File:   "aggregate.flux",
											Source: "compute",
											Start: ast.Position{
												Column: 11,
												Line:   55,
											},
										},
									},
									Name: "compute",
								},
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 12,
											Line:   56,
										},
										File:   "aggregate.flux",
										Source: "fill: fill",
										Start: ast.Position{
											Column: 2,
											Line:   56,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 6,
												Line:   56,
											},
											File:   "aggregate.flux",
											Source: "fill",
											Start: ast.Position{
												Column: 2,
												Line:   56,
											},
										},
									},
									Name: "fill",
								},
								Value: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 12,
												Line:   56,
											},
											File:   "aggregate.flux",
											Source: "fill",
											Start: ast.Position{
												Column: 8,
												Line:   56,
											},
										},
									},
									Name: "fill",
								},
							}},
							With: nil,
						},
					},
					Params: []*ast.Property{&ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 55,
									Line:   51,
								},
								File:   "aggregate.flux",
								Source: "column",
								Start: ast.Position{
									Column: 49,
									Line:   51,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 55,
										Line:   51,
									},
									File:   "aggregate.flux",
									Source: "column",
									Start: ast.Position{
										Column: 49,
										Line:   51,
									},
								},
							},
							Name: "column",
						},
						Value: nil,
					}, &ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 66,
									Line:   51,
								},
								File:   "aggregate.flux",
								Source: "fill=fill",
								Start: ast.Position{
									Column: 57,
									Line:   51,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 61,
										Line:   51,
									},
									File:   "aggregate.flux",
									Source: "fill",
									Start: ast.Position{
										Column: 57,
										Line:   51,
									},
								},
							},
							Name: "fill",
						},
						Value: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 66,
										Line:   51,
									},
									File:   "aggregate.flux",
									Source: "fill",
									Start: ast.Position{
										Column: 62,
										Line:   51,
									},
								},
							},
							Name: "fill",
						},
					}},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 15,
								Line:   51,
							},
							File:   "aggregate.flux",
							Source: "init",
							Start: ast.Position{
								Column: 11,
								Line:   51,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 15,
									Line:   51,
								},
								File:   "aggregate.flux",
								Source: "init",
								Start: ast.Position{
									Column: 11,
									Line:   51,
								},
							},
						},
						Name: "init",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 23,
								Line:   51,
							},
							File:   "aggregate.flux",
							Source: "reduce",
							Start: ast.Position{
								Column: 17,
								Line:   51,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 23,
									Line:   51,
								},
								File:   "aggregate.flux",
								Source: "reduce",
								Start: ast.Position{
									Column: 17,
									Line:   51,
								},
							},
						},
						Name: "reduce",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 32,
								Line:   51,
							},
							File:   "aggregate.flux",
							Source: "compute",
							Start: ast.Position{
								Column: 25,
								Line:   51,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 32,
									Line:   51,
								},
								File:   "aggregate.flux",
								Source: "compute",
								Start: ast.Position{
									Column: 25,
									Line:   51,
								},
							},
						},
						Name: "compute",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 43,
								Line:   51,
							},
							File:   "aggregate.flux",
							Source: "fill=null",
							Start: ast.Position{
								Column: 34,
								Line:   51,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 38,
									Line:   51,
								},
								File:   "aggregate.flux",
								Source: "fill",
								Start: ast.Position{
									Column: 34,
									Line:   51,
								},
							},
						},
						Name: "fill",
					},
					Value: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 43,
									Line:   51,
								},
								File:   "aggregate.flux",
								Source: "null",
								Start: ast.Position{
									Column: 39,
									Line:   51,
								},
							},
						},
						Name: "null",
					},
				}},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 2,
						Line:   66,
					},
					File:   "aggregate.flux",
					Source: "_make_selector = (fn) => define(\n\tinit: (values) => fn(values),\n\treduce: (values, state) => {\n\t\tv = fn(values)\n\t\treturn fn(values: [state, v])\n\t},\n\tcompute: (state) => state,\n)",
					Start: ast.Position{
						Column: 1,
						Line:   59,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 15,
							Line:   59,
						},
						File:   "aggregate.flux",
						Source: "_make_selector",
						Start: ast.Position{
							Column: 1,
							Line:   59,
						},
					},
				},
				Name: "_make_selector",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 2,
							Line:   66,
						},
						File:   "aggregate.flux",
						Source: "(fn) => define(\n\tinit: (values) => fn(values),\n\treduce: (values, state) => {\n\t\tv = fn(values)\n\t\treturn fn(values: [state, v])\n\t},\n\tcompute: (state) => state,\n)",
						Start: ast.Position{
							Column: 18,
							Line:   59,
						},
					},
				},
				Body: &ast.CallExpression{
					Arguments: []ast.Expression{&ast.ObjectExpression{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 27,
									Line:   65,
								},
								File:   "aggregate.flux",
								Source: "init: (values) => fn(values),\n\treduce: (values, state) => {\n\t\tv = fn(values)\n\t\treturn fn(values: [state, v])\n\t},\n\tcompute: (state) => state",
								Start: ast.Position{
									Column: 2,
									Line:   60,
								},
							},
						},
						Properties: []*ast.Property{&ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 30,
										Line:   60,
									},
									File:   "aggregate.flux",
									Source: "init: (values) => fn(values)",
									Start: ast.Position{
										Column: 2,
										Line:   60,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 6,
											Line:   60,
										},
										File:   "aggregate.flux",
										Source: "init",
										Start: ast.Position{
											Column: 2,
											Line:   60,
										},
									},
								},
								Name: "init",
							},
							Value: &ast.FunctionExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 30,
											Line:   60,
										},
										File:   "aggregate.flux",
										Source: "(values) => fn(values)",
										Start: ast.Position{
											Column: 8,
											Line:   60,
										},
									},
								},
								Body: &ast.CallExpression{
									Arguments: []ast.Expression{&ast.ObjectExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 29,
													Line:   60,
												},
												File:   "aggregate.flux",
												Source: "values",
												Start: ast.Position{
													Column: 23,
													Line:   60,
												},
											},
										},
										Properties: []*ast.Property{&ast.Property{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 29,
														Line:   60,
													},
													File:   "aggregate.flux",
													Source: "values",
													Start: ast.Position{
														Column: 23,
														Line:   60,
													},
												},
											},
											Key: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 29,
															Line:   60,
														},
														File:   "aggregate.flux",
														Source: "values",
														Start: ast.Position{
															Column: 23,
															Line:   60,
														},
													},
												},
												Name: "values",
											},
											Value: nil,
										}},
										With: nil,
									}},
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 30,
												Line:   60,
											},
											File:   "aggregate.flux",
											Source: "fn(values)",
											Start: ast.Position{
												Column: 20,
												Line:   60,
											},
										},
									},
									Callee: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 22,
													Line:   60,
												},
												File:   "aggregate.flux",
												Source: "fn",
												Start: ast.Position{
													Column: 20,
													Line:   60,
												},
											},
										},
										Name: "fn",
									},
								},
								Params: []*ast.Property{&ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 15,
												Line:   60,
											},
											File:   "aggregate.flux",
											Source: "values",
											Start: ast.Position{
												Column: 9,
												Line:   60,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 15,
													Line:   60,
												},
												File:   "aggregate.flux",
												Source: "values",
												Start: ast.Position{
													Column: 9,
													Line:   60,
												},
											},
										},
										Name: "values",
									},
									Value: nil,
								}},
							},
						}, &ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 3,
										Line:   64,
									},
									File:   "aggregate.flux",
									Source: "reduce: (values, state) => {\n\t\tv = fn(values)\n\t\treturn fn(values: [state, v])\n\t}",
									Start: ast.Position{
										Column: 2,
										Line:   61,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 8,
											Line:   61,
										},
										File:   "aggregate.flux",
										Source: "reduce",
										Start: ast.Position{
											Column: 2,
											Line:   61,
										},
									},
								},
								Name: "reduce",
							},
							Value: &ast.FunctionExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 3,
											Line:   64,
										},
										File:   "aggregate.flux",
										Source: "(values, state) => {\n\t\tv = fn(values)\n\t\treturn fn(values: [state, v])\n\t}",
										Start: ast.Position{
											Column: 10,
											Line:   61,
										},
									},
								},
								Body: &ast.Block{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 3,
												Line:   64,
											},
											File:   "aggregate.flux",
											Source: "{\n\t\tv = fn(values)\n\t\treturn fn(values: [state, v])\n\t}",
											Start: ast.Position{
												Column: 29,
												Line:   61,
											},
										},
									},
									Body: []ast.Statement{&ast.VariableAssignment{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 17,
													Line:   62,
												},
												File:   "aggregate.flux",
												Source: "v = fn(values)",
												Start: ast.Position{
													Column: 3,
													Line:   62,
												},
											},
										},
										ID: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 4,
														Line:   62,
													},
													File:   "aggregate.flux",
													Source: "v",
													Start: ast.Position{
														Column: 3,
														Line:   62,
													},
												},
											},
											Name: "v",
										},
										Init: &ast.CallExpression{
											Arguments: []ast.Expression{&ast.ObjectExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 16,
															Line:   62,
														},
														File:   "aggregate.flux",
														Source: "values",
														Start: ast.Position{
															Column: 10,
															Line:   62,
														},
													},
												},
												Properties: []*ast.Property{&ast.Property{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 16,
																Line:   62,
															},
															File:   "aggregate.flux",
															Source: "values",
															Start: ast.Position{
																Column: 10,
																Line:   62,
															},
														},
													},
													Key: &ast.Identifier{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 16,
																	Line:   62,
																},
																File:   "aggregate.flux",
																Source: "values",
																Start: ast.Position{
																	Column: 10,
																	Line:   62,
																},
															},
														},
														Name: "values",
													},
													Value: nil,
												}},
												With: nil,
											}},
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 17,
														Line:   62,
													},
													File:   "aggregate.flux",
													Source: "fn(values)",
													Start: ast.Position{
														Column: 7,
														Line:   62,
													},
												},
											},
											Callee: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 9,
															Line:   62,
														},
														File:   "aggregate.flux",
														Source: "fn",
														Start: ast.Position{
															Column: 7,
															Line:   62,
														},
													},
												},
												Name: "fn",
											},
										},
									}, &ast.ReturnStatement{
										Argument: &ast.CallExpression{
											Arguments: []ast.Expression{&ast.ObjectExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 31,
															Line:   63,
														},
														File:   "aggregate.flux",
														Source: "values: [state, v]",
														Start: ast.Position{
															Column: 13,
															Line:   63,
														},
													},
												},
												Properties: []*ast.Property{&ast.Property{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 31,
																Line:   63,
															},
															File:   "aggregate.flux",
															Source: "values: [state, v]",
															Start: ast.Position{
																Column: 13,
																Line:   63,
															},
														},
													},
													Key: &ast.Identifier{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 19,
																	Line:   63,
																},
																File:   "aggregate.flux",
																Source: "values",
																Start: ast.Position{
																	Column: 13,
																	Line:   63,
																},
															},
														},
														Name: "values",
													},
													Value: &ast.ArrayExpression{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 31,
																	Line:   63,
																},
																File:   "aggregate.flux",
																Source: "[state, v]",
																Start: ast.Position{
																	Column: 21,
																	Line:   63,
																},
															},
														},
														Elements: []ast.Expression{&ast.Identifier{
															BaseNode: ast.BaseNode{
																Errors: nil,
																Loc: &ast.SourceLocation{
																	End: ast.Position{
																		Column: 27,
																		Line:   63,
																	},
																	File:   "aggregate.flux",
																	Source: "state",
																	Start: ast.Position{
																		Column: 22,
																		Line:   63,
																	},
																},
															},
															Name: "state",
														}, &ast.Identifier{
															BaseNode: ast.BaseNode{
																Errors: nil,
																Loc: &ast.SourceLocation{
																	End: ast.Position{
																		Column: 30,
																		Line:   63,
																	},
																	File:   "aggregate.flux",
																	Source: "v",
																	Start: ast.Position{
																		Column: 29,
																		Line:   63,
																	},
																},
															},
															Name: "v",
														}},
													},
												}},
												With: nil,
											}},
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 32,
														Line:   63,
													},
													File:   "aggregate.flux",
													Source: "fn(values: [state, v])",
													Start: ast.Position{
														Column: 10,
														Line:   63,
													},
												},
											},
											Callee: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 12,
															Line:   63,
														},
														File:   "aggregate.flux",
														Source: "fn",
														Start: ast.Position{
															Column: 10,
															Line:   63,
														},
													},
												},
												Name: "fn",
											},
										},
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 32,
													Line:   63,
												},
												File:   "aggregate.flux",
												Source: "return fn(values: [state, v])",
												Start: ast.Position{
													Column: 3,
													Line:   63,
												},
											},
										},
									}},
								},
								Params: []*ast.Property{&ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 17,
												Line:   61,
											},
											File:   "aggregate.flux",
											Source: "values",
											Start: ast.Position{
												Column: 11,
												Line:   61,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 17,
													Line:   61,
												},
												File:   "aggregate.flux",
												Source: "values",
												Start: ast.Position{
													Column: 11,
													Line:   61,
												},
											},
										},
										Name: "values",
									},
									Value: nil,
								}, &ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 24,
												Line:   61,
											},
											File:   "aggregate.flux",
											Source: "state",
											Start: ast.Position{
												Column: 19,
												Line:   61,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 24,
													Line:   61,
												},
												File:   "aggregate.flux",
												Source: "state",
												Start: ast.Position{
													Column: 19,
													Line:   61,
												},
											},
										},
										Name: "state",
									},
									Value: nil,
								}},
							},
						}, &ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 27,
										Line:   65,
									},
									File:   "aggregate.flux",
									Source: "compute: (state) => state",
									Start: ast.Position{
										Column: 2,
										Line:   65,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 9,
											Line:   65,
										},
										File:   "aggregate.flux",
										Source: "compute",
										Start: ast.Position{
											Column: 2,
											Line:   65,
										},
									},
								},
								Name: "compute",
							},
							Value: &ast.FunctionExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 27,
											Line:   65,
										},
										File:   "aggregate.flux",
										Source: "(state) => state",
										Start: ast.Position{
											Column: 11,
											Line:   65,
										},
									},
								},
								Body: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 27,
												Line:   65,
											},
											File:   "aggregate.flux",
											Source: "state",
											Start: ast.Position{
												Column: 22,
												Line:   65,
											},
										},
									},
									Name: "state",
								},
								Params: []*ast.Property{&ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 17,
												Line:   65,
											},
											File:   "aggregate.flux",
											Source: "state",
											Start: ast.Position{
												Column: 12,
												Line:   65,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 17,
													Line:   65,
												},
												File:   "aggregate.flux",
												Source: "state",
												Start: ast.Position{
													Column: 12,
													Line:   65,
												},
											},
										},
										Name: "state",
									},
									Value: nil,
								}},
							},
						}},
						With: nil,
					}},
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 2,
								Line:   66,
							},
							File:   "aggregate.flux",
							Source: "define(\n\tinit: (values) => fn(values),\n\treduce: (values, state) => {\n\t\tv = fn(values)\n\t\treturn fn(values: [state, v])\n\t},\n\tcompute: (state) => state,\n)",
							Start: ast.Position{
								Column: 26,
								Line:   59,
							},
						},
					},
					Callee: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 32,
									Line:   59,
								},
								File:   "aggregate.flux",
								Source: "define",
								Start: ast.Position{
									Column: 26,
									Line:   59,
								},
							},
						},
						Name: "define",
					},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 21,
								Line:   59,
							},
							File:   "aggregate.flux",
							Source: "fn",
							Start: ast.Position{
								Column: 19,
								Line:   59,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 21,
									Line:   59,
								},
								File:   "aggregate.flux",
								Source: "fn",
								Start: ast.Position{
									Column: 19,
									Line:   59,
								},
							},
						},
						Name: "fn",
					},
					Value: nil,
				}},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 35,
						Line:   69,
					},
					File:   "aggregate.flux",
					Source: "min = _make_selector(fn: math.min)",
					Start: ast.Position{
						Column: 1,
						Line:   69,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 4,
							Line:   69,
						},
						File:   "aggregate.flux",
						Source: "min",
						Start: ast.Position{
							Column: 1,
							Line:   69,
						},
					},
				},
				Name: "min",
			},
			Init: &ast.CallExpression{
				Arguments: []ast.Expression{&ast.ObjectExpression{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 34,
								Line:   69,
							},
							File:   "aggregate.flux",
							Source: "fn: math.min",
							Start: ast.Position{
								Column: 22,
								Line:   69,
							},
						},
					},
					Properties: []*ast.Property{&ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 34,
									Line:   69,
								},
								File:   "aggregate.flux",
								Source: "fn: math.min",
								Start: ast.Position{
									Column: 22,
									Line:   69,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 24,
										Line:   69,
									},
									File:   "aggregate.flux",
									Source: "fn",
									Start: ast.Position{
										Column: 22,
										Line:   69,
									},
								},
							},
							Name: "fn",
						},
						Value: &ast.MemberExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 34,
										Line:   69,
									},
									File:   "aggregate.flux",
									Source: "math.min",
									Start: ast.Position{
										Column: 26,
										Line:   69,
									},
								},
							},
							Object: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 30,
											Line:   69,
										},
										File:   "aggregate.flux",
										Source: "math",
										Start: ast.Position{
											Column: 26,
											Line:   69,
										},
									},
								},
								Name: "math",
							},
							Property: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 34,
											Line:   69,
										},
										File:   "aggregate.flux",
										Source: "min",
										Start: ast.Position{
											Column: 31,
											Line:   69,
										},
									},
								},
								Name: "min",
							},
						},
					}},
					With: nil,
				}},
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 35,
							Line:   69,
						},
						File:   "aggregate.flux",
						Source: "_make_selector(fn: math.min)",
						Start: ast.Position{
							Column: 7,
							Line:   69,
						},
					},
				},
				Callee: &ast.Identifier{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 21,
								Line:   69,
							},
							File:   "aggregate.flux",
							Source: "_make_selector",
							Start: ast.Position{
								Column: 7,
								Line:   69,
							},
						},
					},
					Name: "_make_selector",
				},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 35,
						Line:   72,
					},
					File:   "aggregate.flux",
					Source: "max = _make_selector(fn: math.max)",
					Start: ast.Position{
						Column: 1,
						Line:   72,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 4,
							Line:   72,
						},
						File:   "aggregate.flux",
						Source: "max",
						Start: ast.Position{
							Column: 1,
							Line:   72,
						},
					},
				},
				Name: "max",
			},
			Init: &ast.CallExpression{
				Arguments: []ast.Expression{&ast.ObjectExpression{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 34,
								Line:   72,
							},
							File:   "aggregate.flux",
							Source: "fn: math.max",
							Start: ast.Position{
								Column: 22,
								Line:   72,
							},
						},
					},
					Properties: []*ast.Property{&ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 34,
									Line:   72,
								},
								File:   "aggregate.flux",
								Source: "fn: math.max",
								Start: ast.Position{
									Column: 22,
									Line:   72,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 24,
										Line:   72,
									},
									File:   "aggregate.flux",
									Source: "fn",
									Start: ast.Position{
										Column: 22,
										Line:   72,
									},
								},
							},
							Name: "fn",
						},
						Value: &ast.MemberExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 34,
										Line:   72,
									},
									File:   "aggregate.flux",
									Source: "math.max",
									Start: ast.Position{
										Column: 26,
										Line:   72,
									},
								},
							},
							Object: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 30,
											Line:   72,
										},
										File:   "aggregate.flux",
										Source: "math",
										Start: ast.Position{
											Column: 26,
											Line:   72,
										},
									},
								},
								Name: "math",
							},
							Property: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 34,
											Line:   72,
										},
										File:   "aggregate.flux",
										Source: "max",
										Start: ast.Position{
											Column: 31,
											Line:   72,
										},
									},
								},
								Name: "max",
							},
						},
					}},
					With: nil,
				}},
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 35,
							Line:   72,
						},
						File:   "aggregate.flux",
						Source: "_make_selector(fn: math.max)",
						Start: ast.Position{
							Column: 7,
							Line:   72,
						},
					},
				},
				Callee: &ast.Identifier{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 21,
								Line:   72,
							},
							File:   "aggregate.flux",
							Source: "_make_selector",
							Start: ast.Position{
								Column: 7,
								Line:   72,
							},
						},
					},
					Name: "_make_selector",
				},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 2,
						Line:   81,
					},
					File:   "aggregate.flux",
					Source: "sum = define(\n\tinit: (values) => math.sum(values),\n\treduce: (values, state) => {\n\t\treturn state + math.sum(values)\n\t},\n\tcompute: (state) => state,\n)",
					Start: ast.Position{
						Column: 1,
						Line:   75,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 4,
							Line:   75,
						},
						File:   "aggregate.flux",
						Source: "sum",
						Start: ast.Position{
							Column: 1,
							Line:   75,
						},
					},
				},
				Name: "sum",
			},
			Init: &ast.CallExpression{
				Arguments: []ast.Expression{&ast.ObjectExpression{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 27,
								Line:   80,
							},
							File:   "aggregate.flux",
							Source: "init: (values) => math.sum(values),\n\treduce: (values, state) => {\n\t\treturn state + math.sum(values)\n\t},\n\tcompute: (state) => state",
							Start: ast.Position{
								Column: 2,
								Line:   76,
							},
						},
					},
					Properties: []*ast.Property{&ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 36,
									Line:   76,
								},
								File:   "aggregate.flux",
								Source: "init: (values) => math.sum(values)",
								Start: ast.Position{
									Column: 2,
									Line:   76,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 6,
										Line:   76,
									},
									File:   "aggregate.flux",
									Source: "init",
									Start: ast.Position{
										Column: 2,
										Line:   76,
									},
								},
							},
							Name: "init",
						},
						Value: &ast.FunctionExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 36,
										Line:   76,
									},
									File:   "aggregate.flux",
									Source: "(values) => math.sum(values)",
									Start: ast.Position{
										Column: 8,
										Line:   76,
									},
								},
							},
							Body: &ast.CallExpression{
								Arguments: []ast.Expression{&ast.ObjectExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 35,
												Line:   76,
											},
											File:   "aggregate.flux",
											Source: "values",
											Start: ast.Position{
												Column: 29,
												Line:   76,
											},
										},
									},
									Properties: []*ast.Property{&ast.Property{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 35,
													Line:   76,
												},
												File:   "aggregate.flux",
												Source: "values",
												Start: ast.Position{
													Column: 29,
													Line:   76,
												},
											},
										},
										Key: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 35,
														Line:   76,
													},
													File:   "aggregate.flux",
													Source: "values",
													Start: ast.Position{
														Column: 29,
														Line:   76,
													},
												},
											},
											Name: "values",
										},
										Value: nil,
									}},
									With: nil,
								}},
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 36,
											Line:   76,
										},
										File:   "aggregate.flux",
										Source: "math.sum(values)",
										Start: ast.Position{
											Column: 20,
											Line:   76,
										},
									},
								},
								Callee: &ast.MemberExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 28,
												Line:   76,
											},
											File:   "aggregate.flux",
											Source: "math.sum",
											Start: ast.Position{
												Column: 20,
												Line:   76,
											},
										},
									},
									Object: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 24,
													Line:   76,
												},
												File:   "aggregate.flux",
												Source: "math",
												Start: ast.Position{
													Column: 20,
													Line:   76,
												},
											},
										},
										Name: "math",
									},
									Property: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 28,
													Line:   76,
												},
												File:   "aggregate.flux",
												Source: "sum",
												Start: ast.Position{
													Column: 25,
													Line:   76,
												},
											},
										},
										Name: "sum",
									},
								},
							},
							Params: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 15,
											Line:   76,
										},
										File:   "aggregate.flux",
										Source: "values",
										Start: ast.Position{
											Column: 9,
											Line:   76,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 15,
												Line:   76,
											},
											File:   "aggregate.flux",
											Source: "values",
											Start: ast.Position{
												Column: 9,
												Line:   76,
											},
										},
									},
									Name: "values",
								},
								Value: nil,
							}},
						},
					}, &ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 3,
									Line:   79,
								},
								File:   "aggregate.flux",
								Source: "reduce: (values, state) => {\n\t\treturn state + math.sum(values)\n\t}",
								Start: ast.Position{
									Column: 2,
									Line:   77,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 8,
										Line:   77,
									},
									File:   "aggregate.flux",
									Source: "reduce",
									Start: ast.Position{
										Column: 2,
										Line:   77,
									},
								},
							},
							Name: "reduce",
						},
						Value: &ast.FunctionExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 3,
										Line:   79,
									},
									File:   "aggregate.flux",
									Source: "(values, state) => {\n\t\treturn state + math.sum(values)\n\t}",
									Start: ast.Position{
										Column: 10,
										Line:   77,
									},
								},
							},
							Body: &ast.Block{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 3,
											Line:   79,
										},
										File:   "aggregate.flux",
										Source: "{\n\t\treturn state + math.sum(values)\n\t}",
										Start: ast.Position{
											Column: 29,
											Line:   77,
										},
									},
								},
								Body: []ast.Statement{&ast.ReturnStatement{
									Argument: &ast.BinaryExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 34,
													Line:   78,
												},
												File:   "aggregate.flux",
												Source: "state + math.sum(values)",
												Start: ast.Position{
													Column: 10,
													Line:   78,
												},
											},
										},
										Left: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 15,
														Line:   78,
													},
													File:   "aggregate.flux",
													Source: "state",
													Start: ast.Position{
														Column: 10,
														Line:   78,
													},
												},
											},
											Name: "state",
										},
										Operator: 5,
										Right: &ast.CallExpression{
											Arguments: []ast.Expression{&ast.ObjectExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 33,
															Line:   78,
														},
														File:   "aggregate.flux",
														Source: "values",
														Start: ast.Position{
															Column: 27,
															Line:   78,
														},
													},
												},
												Properties: []*ast.Property{&ast.Property{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 33,
																Line:   78,
															},
															File:   "aggregate.flux",
															Source: "values",
															Start: ast.Position{
																Column: 27,
																Line:   78,
															},
														},
													},
													Key: &ast.Identifier{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 33,
																	Line:   78,
																},
																File:   "aggregate.flux",
																Source: "values",
																Start: ast.Position{
																	Column: 27,
																	Line:   78,
																},
															},
														},
														Name: "values",
													},
													Value: nil,
												}},
												With: nil,
											}},
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 34,
														Line:   78,
													},
													File:   "aggregate.flux",
													Source: "math.sum(values)",
													Start: ast.Position{
														Column: 18,
														Line:   78,
													},
												},
											},
											Callee: &ast.MemberExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 26,
															Line:   78,
														},
														File:   "aggregate.flux",
														Source: "math.sum",
														Start: ast.Position{
															Column: 18,
															Line:   78,
														},
													},
												},
												Object: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 22,
																Line:   78,
															},
															File:   "aggregate.flux",
															Source: "math",
															Start: ast.Position{
																Column: 18,
																Line:   78,
															},
														},
													},
													Name: "math",
												},
												Property: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 26,
																Line:   78,
															},
															File:   "aggregate.flux",
															Source: "sum",
															Start: ast.Position{
																Column: 23,
																Line:   78,
															},
														},
													},
													Name: "sum",
												},
											},
										},
									},
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 34,
												Line:   78,
											},
											File:   "aggregate.flux",
											Source: "return state + math.sum(values)",
											Start: ast.Position{
												Column: 3,
												Line:   78,
											},
										},
									},
								}},
							},
							Params: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 17,
											Line:   77,
										},
										File:   "aggregate.flux",
										Source: "values",
										Start: ast.Position{
											Column: 11,
											Line:   77,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 17,
												Line:   77,
											},
											File:   "aggregate.flux",
											Source: "values",
											Start: ast.Position{
												Column: 11,
												Line:   77,
											},
										},
									},
									Name: "values",
								},
								Value: nil,
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 24,
											Line:   77,
										},
										File:   "aggregate.flux",
										Source: "state",
										Start: ast.Position{
											Column: 19,
											Line:   77,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 24,
												Line:   77,
											},
											File:   "aggregate.flux",
											Source: "state",
											Start: ast.Position{
												Column: 19,
												Line:   77,
											},
										},
									},
									Name: "state",
								},
								Value: nil,
							}},
						},
					}, &ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 27,
									Line:   80,
								},
								File:   "aggregate.flux",
								Source: "compute: (state) => state",
								Start: ast.Position{
									Column: 2,
									Line:   80,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 9,
										Line:   80,
									},
									File:   "aggregate.flux",
									Source: "compute",
									Start: ast.Position{
										Column: 2,
										Line:   80,
									},
								},
							},
							Name: "compute",
						},
						Value: &ast.FunctionExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 27,
										Line:   80,
									},
									File:   "aggregate.flux",
									Source: "(state) => state",
									Start: ast.Position{
										Column: 11,
										Line:   80,
									},
								},
							},
							Body: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 27,
											Line:   80,
										},
										File:   "aggregate.flux",
										Source: "state",
										Start: ast.Position{
											Column: 22,
											Line:   80,
										},
									},
								},
								Name: "state",
							},
							Params: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 17,
											Line:   80,
										},
										File:   "aggregate.flux",
										Source: "state",
										Start: ast.Position{
											Column: 12,
											Line:   80,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 17,
												Line:   80,
											},
											File:   "aggregate.flux",
											Source: "state",
											Start: ast.Position{
												Column: 12,
												Line:   80,
											},
										},
									},
									Name: "state",
								},
								Value: nil,
							}},
						},
					}},
					With: nil,
				}},
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 2,
							Line:   81,
						},
						File:   "aggregate.flux",
						Source: "define(\n\tinit: (values) => math.sum(values),\n\treduce: (values, state) => {\n\t\treturn state + math.sum(values)\n\t},\n\tcompute: (state) => state,\n)",
						Start: ast.Position{
							Column: 7,
							Line:   75,
						},
					},
				},
				Callee: &ast.Identifier{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 13,
								Line:   75,
							},
							File:   "aggregate.flux",
							Source: "define",
							Start: ast.Position{
								Column: 7,
								Line:   75,
							},
						},
					},
					Name: "define",
				},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 2,
						Line:   91,
					},
					File:   "aggregate.flux",
					Source: "count = define(\n\tinit: (values) => length(arr: values),\n\treduce: (values, state) => {\n\t\treturn state + length(arr: values)\n\t},\n\tcompute: (state) => state,\n\tfill: 0,\n)",
					Start: ast.Position{
						Column: 1,
						Line:   84,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 6,
							Line:   84,
						},
						File:   "aggregate.flux",
						Source: "count",
						Start: ast.Position{
							Column: 1,
							Line:   84,
						},
					},
				},
				Name: "count",
			},
			Init: &ast.CallExpression{
				Arguments: []ast.Expression{&ast.ObjectExpression{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 9,
								Line:   90,
							},
							File:   "aggregate.flux",
							Source: "init: (values) => length(arr: values),\n\treduce: (values, state) => {\n\t\treturn state + length(arr: values)\n\t},\n\tcompute: (state) => state,\n\tfill: 0",
							Start: ast.Position{
								Column: 2,
								Line:   85,
							},
						},
					},
					Properties: []*ast.Property{&ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 39,
									Line:   85,
								},
								File:   "aggregate.flux",
								Source: "init: (values) => length(arr: values)",
								Start: ast.Position{
									Column: 2,
									Line:   85,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 6,
										Line:   85,
									},
									File:   "aggregate.flux",
									Source: "init",
									Start: ast.Position{
										Column: 2,
										Line:   85,
									},
								},
							},
							Name: "init",
						},
						Value: &ast.FunctionExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 39,
										Line:   85,
									},
									File:   "aggregate.flux",
									Source: "(values) => length(arr: values)",
									Start: ast.Position{
										Column: 8,
										Line:   85,
									},
								},
							},
							Body: &ast.CallExpression{
								Arguments: []ast.Expression{&ast.ObjectExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 38,
												Line:   85,
											},
											File:   "aggregate.flux",
											Source: "arr: values",
											Start: ast.Position{
												Column: 27,
												Line:   85,
											},
										},
									},
									Properties: []*ast.Property{&ast.Property{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 38,
													Line:   85,
												},
												File:   "aggregate.flux",
												Source: "arr: values",
												Start: ast.Position{
													Column: 27,
													Line:   85,
												},
											},
										},
										Key: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 30,
														Line:   85,
													},
													File:   "aggregate.flux",
													Source: "arr",
													Start: ast.Position{
														Column: 27,
														Line:   85,
													},
												},
											},
											Name: "arr",
										},
										Value: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 38,
														Line:   85,
													},
													File:   "aggregate.flux",
													Source: "values",
													Start: ast.Position{
														Column: 32,
														Line:   85,
													},
												},
											},
											Name: "values",
										},
									}},
									With: nil,
								}},
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 39,
											Line:   85,
										},
										File:   "aggregate.flux",
										Source: "length(arr: values)",
										Start: ast.Position{
											Column: 20,
											Line:   85,
										},
									},
								},
								Callee: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 26,
												Line:   85,
											},
											File:   "aggregate.flux",
											Source: "length",
											Start: ast.Position{
												Column: 20,
												Line:   85,
											},
										},
									},
									Name: "length",
								},
							},
							Params: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 15,
											Line:   85,
										},
										File:   "aggregate.flux",
										Source: "values",
										Start: ast.Position{
											Column: 9,
											Line:   85,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 15,
												Line:   85,
											},
											File:   "aggregate.flux",
											Source: "values",
											Start: ast.Position{
												Column: 9,
												Line:   85,
											},
										},
									},
									Name: "values",
								},
								Value: nil,
							}},
						},
					}, &ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 3,
									Line:   88,
								},
								File:   "aggregate.flux",
								Source: "reduce: (values, state) => {\n\t\treturn state + length(arr: values)\n\t}",
								Start: ast.Position{
									Column: 2,
									Line:   86,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 8,
										Line:   86,
									},
									File:   "aggregate.flux",
									Source: "reduce",
									Start: ast.Position{
										Column: 2,
										Line:   86,
									},
								},
							},
							Name: "reduce",
						},
						Value: &ast.FunctionExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 3,
										Line:   88,
									},
									File:   "aggregate.flux",
									Source: "(values, state) => {\n\t\treturn state + length(arr: values)\n\t}",
									Start: ast.Position{
										Column: 10,
										Line:   86,
									},
								},
							},
							Body: &ast.Block{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 3,
											Line:   88,
										},
										File:   "aggregate.flux",
										Source: "{\n\t\treturn state + length(arr: values)\n\t}",
										Start: ast.Position{
											Column: 29,
											Line:   86,
										},
									},
								},
								Body: []ast.Statement{&ast.ReturnStatement{
									Argument: &ast.BinaryExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 37,
													Line:   87,
												},
												File:   "aggregate.flux",
												Source: "state + length(arr: values)",
												Start: ast.Position{
													Column: 10,
													Line:   87,
												},
											},
										},
										Left: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 15,
														Line:   87,
													},
													File:   "aggregate.flux",
													Source: "state",
													Start: ast.Position{
														Column: 10,
														Line:   87,
													},
												},
											},
											Name: "state",
										},
										Operator: 5,
										Right: &ast.CallExpression{
											Arguments: []ast.Expression{&ast.ObjectExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 36,
															Line:   87,
														},
														File:   "aggregate.flux",
														Source: "arr: values",
														Start: ast.Position{
															Column: 25,
															Line:   87,
														},
													},
												},
												Properties: []*ast.Property{&ast.Property{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 36,
																Line:   87,
															},
															File:   "aggregate.flux",
															Source: "arr: values",
															Start: ast.Position{
																Column: 25,
																Line:   87,
															},
														},
													},
													Key: &ast.Identifier{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 28,
																	Line:   87,
																},
																File:   "aggregate.flux",
																Source: "arr",
																Start: ast.Position{
																	Column: 25,
																	Line:   87,
																},
															},
														},
														Name: "arr",
													},
													Value: &ast.Identifier{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 36,
																	Line:   87,
																},
																File:   "aggregate.flux",
																Source: "values",
																Start: ast.Position{
																	Column: 30,
																	Line:   87,
																},
															},
														},
														Name: "values",
													},
												}},
												With: nil,
											}},
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 37,
														Line:   87,
													},
													File:   "aggregate.flux",
													Source: "length(arr: values)",
													Start: ast.Position{
														Column: 18,
														Line:   87,
													},
												},
											},
											Callee: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 24,
															Line:   87,
														},
														File:   "aggregate.flux",
														Source: "length",
														Start: ast.Position{
															Column: 18,
															Line:   87,
														},
													},
												},
												Name: "length",
											},
										},
									},
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 37,
												Line:   87,
											},
											File:   "aggregate.flux",
											Source: "return state + length(arr: values)",
											Start: ast.Position{
												Column: 3,
												Line:   87,
											},
										},
									},
								}},
							},
							Params: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 17,
											Line:   86,
										},
										File:   "aggregate.flux",
										Source: "values",
										Start: ast.Position{
											Column: 11,
											Line:   86,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 17,
												Line:   86,
											},
											File:   "aggregate.flux",
											Source: "values",
											Start: ast.Position{
												Column: 11,
												Line:   86,
											},
										},
									},
									Name: "values",
								},
								Value: nil,
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 24,
											Line:   86,
										},
										File:   "aggregate.flux",
										Source: "state",
										Start: ast.Position{
											Column: 19,
											Line:   86,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 24,
												Line:   86,
											},
											File:   "aggregate.flux",
											Source: "state",
											Start: ast.Position{
												Column: 19,
												Line:   86,
											},
										},
									},
									Name: "state",
								},
								Value: nil,
							}},
						},
					}, &ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 27,
									Line:   89,
								},
								File:   "aggregate.flux",
								Source: "compute: (state) => state",
								Start: ast.Position{
									Column: 2,
									Line:   89,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 9,
										Line:   89,
									},
									File:   "aggregate.flux",
									Source: "compute",
									Start: ast.Position{
										Column: 2,
										Line:   89,
									},
								},
							},
							Name: "compute",
						},
						Value: &ast.FunctionExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 27,
										Line:   89,
									},
									File:   "aggregate.flux",
									Source: "(state) => state",
									Start: ast.Position{
										Column: 11,
										Line:   89,
									},
								},
							},
							Body: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 27,
											Line:   89,
										},
										File:   "aggregate.flux",
										Source: "state",
										Start: ast.Position{
											Column: 22,
											Line:   89,
										},
									},
								},
								Name: "state",
							},
							Params: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 17,
											Line:   89,
										},
										File:   "aggregate.flux",
										Source: "state",
										Start: ast.Position{
											Column: 12,
											Line:   89,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 17,
												Line:   89,
											},
											File:   "aggregate.flux",
											Source: "state",
											Start: ast.Position{
												Column: 12,
												Line:   89,
											},
										},
									},
									Name: "state",
								},
								Value: nil,
							}},
						},
					}, &ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 9,
									Line:   90,
								},
								File:   "aggregate.flux",
								Source: "fill: 0",
								Start: ast.Position{
									Column: 2,
									Line:   90,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 6,
										Line:   90,
									},
									File:   "aggregate.flux",
									Source: "fill",
									Start: ast.Position{
										Column: 2,
										Line:   90,
									},
								},
							},
							Name: "fill",
						},
						Value: &ast.IntegerLiteral{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 9,
										Line:   90,
									},
									File:   "aggregate.flux",
									Source: "0",
									Start: ast.Position{
										Column: 8,
										Line:   90,
									},
								},
							},
							Value: int64(0),
						},
					}},
					With: nil,
				}},
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 2,
							Line:   91,
						},
						File:   "aggregate.flux",
						Source: "define(\n\tinit: (values) => length(arr: values),\n\treduce: (values, state) => {\n\t\treturn state + length(arr: values)\n\t},\n\tcompute: (state) => state,\n\tfill: 0,\n)",
						Start: ast.Position{
							Column: 9,
							Line:   84,
						},
					},
				},
				Callee: &ast.Identifier{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 15,
								Line:   84,
							},
							File:   "aggregate.flux",
							Source: "define",
							Start: ast.Position{
								Column: 9,
								Line:   84,
							},
						},
					},
					Name: "define",
				},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 2,
						Line:   104,
					},
					File:   "aggregate.flux",
					Source: "mean = define(\n\tinit: (values) => ({\n\t\tsum: math.sum(values),\n\t\tcount: length(arr: values),\n\t}),\n\treduce: (values, state) => ({\n\t\tsum: state.sum + math.sum(values),\n\t\tcount: state.count + length(arr: values),\n\t}),\n\tcompute: (state) => float(v: state.sum) / float(v: state.count),\n)",
					Start: ast.Position{
						Column: 1,
						Line:   94,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 5,
							Line:   94,
						},
						File:   "aggregate.flux",
						Source: "mean",
						Start: ast.Position{
							Column: 1,
							Line:   94,
						},
					},
				},
				Name: "mean",
			},
			Init: &ast.CallExpression{
				Arguments: []ast.Expression{&ast.ObjectExpression{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 65,
								Line:   103,
							},
							File:   "aggregate.flux",
							Source: "init: (values) => ({\n\t\tsum: math.sum(values),\n\t\tcount: length(arr: values),\n\t}),\n\treduce: (values, state) => ({\n\t\tsum: state.sum + math.sum(values),\n\t\tcount: state.count + length(arr: values),\n\t}),\n\tcompute: (state) => float(v: state.sum) / float(v: state.count)",
							Start: ast.Position{
								Column: 2,
								Line:   95,
							},
						},
					},
					Properties: []*ast.Property{&ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 4,
									Line:   98,
								},
								File:   "aggregate.flux",
								Source: "init: (values) => ({\n\t\tsum: math.sum(values),\n\t\tcount: length(arr: values),\n\t})",
								Start: ast.Position{
									Column: 2,
									Line:   95,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 6,
										Line:   95,
									},
									File:   "aggregate.flux",
									Source: "init",
									Start: ast.Position{
										Column: 2,
										Line:   95,
									},
								},
							},
							Name: "init",
						},
						Value: &ast.FunctionExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 4,
										Line:   98,
									},
									File:   "aggregate.flux",
									Source: "(values) => ({\n\t\tsum: math.sum(values),\n\t\tcount: length(arr: values),\n\t})",
									Start: ast.Position{
										Column: 8,
										Line:   95,
									},
								},
							},
							Body: &ast.ParenExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 4,
											Line:   98,
										},
										File:   "aggregate.flux",
										Source: "({\n\t\tsum: math.sum(values),\n\t\tcount: length(arr: values),\n\t})",
										Start: ast.Position{
											Column: 20,
											Line:   95,
										},
									},
								},
								Expression: &ast.ObjectExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 3,
												Line:   98,
											},
											File:   "aggregate.flux",
											Source: "{\n\t\tsum: math.sum(values),\n\t\tcount: length(arr: values),\n\t}",
											Start: ast.Position{
												Column: 21,
												Line:   95,
											},
										},
									},
									Properties: []*ast.Property{&ast.Property{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 24,
													Line:   96,
												},
												File:   "aggregate.flux",
												Source: "sum: math.sum(values)",
												Start: ast.Position{
													Column: 3,
													Line:   96,
												},
											},
										},
										Key: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 6,
														Line:   96,
													},
													File:   "aggregate.flux",
													Source: "sum",
													Start: ast.Position{
														Column: 3,
														Line:   96,
													},
												},
											},
											Name: "sum",
										},
										Value: &ast.CallExpression{
											Arguments: []ast.Expression{&ast.ObjectExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 23,
															Line:   96,
														},
														File:   "aggregate.flux",
														Source: "values",
														Start: ast.Position{
															Column: 17,
															Line:   96,
														},
													},
												},
												Properties: []*ast.Property{&ast.Property{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 23,
																Line:   96,
															},
															File:   "aggregate.flux",
															Source: "values",
															Start: ast.Position{
																Column: 17,
																Line:   96,
															},
														},
													},
													Key: &ast.Identifier{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 23,
																	Line:   96,
																},
																File:   "aggregate.flux",
																Source: "values",
																Start: ast.Position{
																	Column: 17,
																	Line:   96,
																},
															},
														},
														Name: "values",
													},
													Value: nil,
												}},
												With: nil,
											}},
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 24,
														Line:   96,
													},
													File:   "aggregate.flux",
													Source: "math.sum(values)",
													Start: ast.Position{
														Column: 8,
														Line:   96,
													},
												},
											},
											Callee: &ast.MemberExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 16,
															Line:   96,
														},
														File:   "aggregate.flux",
														Source: "math.sum",
														Start: ast.Position{
															Column: 8,
															Line:   96,
														},
													},
												},
												Object: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 12,
																Line:   96,
															},
															File:   "aggregate.flux",
															Source: "math",
															Start: ast.Position{
																Column: 8,
																Line:   96,
															},
														},
													},
													Name: "math",
												},
												Property: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 16,
																Line:   96,
															},
															File:   "aggregate.flux",
															Source: "sum",
															Start: ast.Position{
																Column: 13,
																Line:   96,
															},
														},
													},
													Name: "sum",
												},
											},
										},
									}, &ast.Property{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 29,
													Line:   97,
												},
												File:   "aggregate.flux",
												Source: "count: length(arr: values)",
												Start: ast.Position{
													Column: 3,
													Line:   97,
												},
											},
										},
										Key: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 8,
														Line:   97,
													},
													File:   "aggregate.flux",
													Source: "count",
													Start: ast.Position{
														Column: 3,
														Line:   97,
													},
												},
											},
											Name: "count",
										},
										Value: &ast.CallExpression{
											Arguments: []ast.Expression{&ast.ObjectExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 28,
															Line:   97,
														},
														File:   "aggregate.flux",
														Source: "arr: values",
														Start: ast.Position{
															Column: 17,
															Line:   97,
														},
													},
												},
												Properties: []*ast.Property{&ast.Property{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 28,
																Line:   97,
															},
															File:   "aggregate.flux",
															Source: "arr: values",
															Start: ast.Position{
																Column: 17,
																Line:   97,
															},
														},
													},
													Key: &ast.Identifier{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 20,
																	Line:   97,
																},
																File:   "aggregate.flux",
																Source: "arr",
																Start: ast.Position{
																	Column: 17,
																	Line:   97,
																},
															},
														},
														Name: "arr",
													},
													Value: &ast.Identifier{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 28,
																	Line:   97,
																},
																File:   "aggregate.flux",
																Source: "values",
																Start: ast.Position{
																	Column: 22,
																	Line:   97,
																},
															},
														},
														Name: "values",
													},
												}},
												With: nil,
											}},
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 29,
														Line:   97,
													},
													File:   "aggregate.flux",
													Source: "length(arr: values)",
													Start: ast.Position{
														Column: 10,
														Line:   97,
													},
												},
											},
											Callee: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 16,
															Line:   97,
														},
														File:   "aggregate.flux",
														Source: "length",
														Start: ast.Position{
															Column: 10,
															Line:   97,
														},
													},
												},
												Name: "length",
											},
										},
									}},
									With: nil,
								},
							},
							Params: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 15,
											Line:   95,
										},
										File:   "aggregate.flux",
										Source: "values",
										Start: ast.Position{
											Column: 9,
											Line:   95,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 15,
												Line:   95,
											},
											File:   "aggregate.flux",
											Source: "values",
											Start: ast.Position{
												Column: 9,
												Line:   95,
											},
										},
									},
									Name: "values",
								},
								Value: nil,
							}},
						},
					}, &ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 4,
									Line:   102,
								},
								File:   "aggregate.flux",
								Source: "reduce: (values, state) => ({\n\t\tsum: state.sum + math.sum(values),\n\t\tcount: state.count + length(arr: values),\n\t})",
								Start: ast.Position{
									Column: 2,
									Line:   99,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 8,
										Line:   99,
									},
									File:   "aggregate.flux",
									Source: "reduce",
									Start: ast.Position{
										Column: 2,
										Line:   99,
									},
								},
							},
							Name: "reduce",
						},
						Value: &ast.FunctionExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 4,
										Line:   102,
									},
									File:   "aggregate.flux",
									Source: "(values, state) => ({\n\t\tsum: state.sum + math.sum(values),\n\t\tcount: state.count + length(arr: values),\n\t})",
									Start: ast.Position{
										Column: 10,
										Line:   99,
									},
								},
							},
							Body: &ast.ParenExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 4,
											Line:   102,
										},
										File:   "aggregate.flux",
										Source: "({\n\t\tsum: state.sum + math.sum(values),\n\t\tcount: state.count + length(arr: values),\n\t})",
										Start: ast.Position{
											Column: 29,
											Line:   99,
										},
									},
								},
								Expression: &ast.ObjectExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 3,
												Line:   102,
											},
											File:   "aggregate.flux",
											Source: "{\n\t\tsum: state.sum + math.sum(values),\n\t\tcount: state.count + length(arr: values),\n\t}",
											Start: ast.Position{
												Column: 30,
												Line:   99,
											},
										},
									},
									Properties: []*ast.Property{&ast.Property{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 36,
													Line:   100,
												},
												File:   "aggregate.flux",
												Source: "sum: state.sum + math.sum(values)",
												Start: ast.Position{
													Column: 3,
													Line:   100,
												},
											},
										},
										Key: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 6,
														Line:   100,
													},
													File:   "aggregate.flux",
													Source: "sum",
													Start: ast.Position{
														Column: 3,
														Line:   100,
													},
												},
											},
											Name: "sum",
										},
										Value: &ast.BinaryExpression{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 36,
														Line:   100,
													},
													File:   "aggregate.flux",
													Source: "state.sum + math.sum(values)",
													Start: ast.Position{
														Column: 8,
														Line:   100,
													},
												},
											},
											Left: &ast.MemberExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 17,
															Line:   100,
														},
														File:   "aggregate.flux",
														Source: "state.sum",
														Start: ast.Position{
															Column: 8,
															Line:   100,
														},
													},
												},
												Object: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 13,
																Line:   100,
															},
															File:   "aggregate.flux",
															Source: "state",
															Start: ast.Position{
																Column: 8,
																Line:   100,
															},
														},
													},
													Name: "state",
												},
												Property: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 17,
																Line:   100,
															},
															File:   "aggregate.flux",
															Source: "sum",
															Start: ast.Position{
																Column: 14,
																Line:   100,
															},
														},
													},
													Name: "sum",
												},
											},
											Operator: 5,
											Right: &ast.CallExpression{
												Arguments: []ast.Expression{&ast.ObjectExpression{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 35,
																Line:   100,
															},
															File:   "aggregate.flux",
															Source: "values",
															Start: ast.Position{
																Column: 29,
																Line:   100,
															},
														},
													},
													Properties: []*ast.Property{&ast.Property{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 35,
																	Line:   100,
																},
																File:   "aggregate.flux",
																Source: "values",
																Start: ast.Position{
																	Column: 29,
																	Line:   100,
																},
															},
														},
														Key: &ast.Identifier{
															BaseNode: ast.BaseNode{
																Errors: nil,
																Loc: &ast.SourceLocation{
																	End: ast.Position{
																		Column: 35,
																		Line:   100,
																	},
																	File:   "aggregate.flux",
																	Source: "values",
																	Start: ast.Position{
																		Column: 29,
																		Line:   100,
																	},
																},
															},
															Name: "values",
														},
														Value: nil,
													}},
													With: nil,
												}},
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 36,
															Line:   100,
														},
														File:   "aggregate.flux",
														Source: "math.sum(values)",
														Start: ast.Position{
															Column: 20,
															Line:   100,
														},
													},
												},
												Callee: &ast.MemberExpression{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 28,
																Line:   100,
															},
															File:   "aggregate.flux",
															Source: "math.sum",
															Start: ast.Position{
																Column: 20,
																Line:   100,
															},
														},
													},
													Object: &ast.Identifier{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 24,
																	Line:   100,
																},
																File:   "aggregate.flux",
																Source: "math",
																Start: ast.Position{
																	Column: 20,
																	Line:   100,
																},
															},
														},
														Name: "math",
													},
													Property: &ast.Identifier{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 28,
																	Line:   100,
																},
																File:   "aggregate.flux",
																Source: "sum",
																Start: ast.Position{
																	Column: 25,
																	Line:   100,
																},
															},
														},
														Name: "sum",
													},
												},
											},
										},
									}, &ast.Property{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 43,
													Line:   101,
												},
												File:   "aggregate.flux",
												Source: "count: state.count + length(arr: values)",
												Start: ast.Position{
													Column: 3,
													Line:   101,
												},
											},
										},
										Key: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 8,
														Line:   101,
													},
													File:   "aggregate.flux",
													Source: "count",
													Start: ast.Position{
														Column: 3,
														Line:   101,
													},
												},
											},
											Name: "count",
										},
										Value: &ast.BinaryExpression{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 43,
														Line:   101,
													},
													File:   "aggregate.flux",
													Source: "state.count + length(arr: values)",
													Start: ast.Position{
														Column: 10,
														Line:   101,
													},
												},
											},
											Left: &ast.MemberExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 21,
															Line:   101,
														},
														File:   "aggregate.flux",
														Source: "state.count",
														Start: ast.Position{
															Column: 10,
															Line:   101,
														},
													},
												},
												Object: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 15,
																Line:   101,
															},
															File:   "aggregate.flux",
															Source: "state",
															Start: ast.Position{
																Column: 10,
																Line:   101,
															},
														},
													},
													Name: "state",
												},
												Property: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 21,
																Line:   101,
															},
															File:   "aggregate.flux",
															Source: "count",
															Start: ast.Position{
																Column: 16,
																Line:   101,
															},
														},
													},
													Name: "count",
												},
											},
											Operator: 5,
											Right: &ast.CallExpression{
												Arguments: []ast.Expression{&ast.ObjectExpression{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 42,
																Line:   101,
															},
															File:   "aggregate.flux",
															Source: "arr: values",
															Start: ast.Position{
																Column: 31,
																Line:   101,
															},
														},
													},
													Properties: []*ast.Property{&ast.Property{
														BaseNode: ast.BaseNode{
															Errors: nil,
															Loc: &ast.SourceLocation{
																End: ast.Position{
																	Column: 42,
																	Line:   101,
																},
																File:   "aggregate.flux",
																Source: "arr: values",
																Start: ast.Position{
																	Column: 31,
																	Line:   101,
																},
															},
														},
														Key: &ast.Identifier{
															BaseNode: ast.BaseNode{
																Errors: nil,
																Loc: &ast.SourceLocation{
																	End: ast.Position{
																		Column: 34,
																		Line:   101,
																	},
																	File:   "aggregate.flux",
																	Source: "arr",
																	Start: ast.Position{
																		Column: 31,
																		Line:   101,
																	},
																},
															},
															Name: "arr",
														},
														Value: &ast.Identifier{
															BaseNode: ast.BaseNode{
																Errors: nil,
																Loc: &ast.SourceLocation{
																	End: ast.Position{
																		Column: 42,
																		Line:   101,
																	},
																	File:   "aggregate.flux",
																	Source: "values",
																	Start: ast.Position{
																		Column: 36,
																		Line:   101,
																	},
																},
															},
															Name: "values",
														},
													}},
													With: nil,
												}},
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 43,
															Line:   101,
														},
														File:   "aggregate.flux",
														Source: "length(arr: values)",
														Start: ast.Position{
															Column: 24,
															Line:   101,
														},
													},
												},
												Callee: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 30,
																Line:   101,
															},
															File:   "aggregate.flux",
															Source: "length",
															Start: ast.Position{
																Column: 24,
																Line:   101,
															},
														},
													},
													Name: "length",
												},
											},
										},
									}},
									With: nil,
								},
							},
							Params: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 17,
											Line:   99,
										},
										File:   "aggregate.flux",
										Source: "values",
										Start: ast.Position{
											Column: 11,
											Line:   99,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 17,
												Line:   99,
											},
											File:   "aggregate.flux",
											Source: "values",
											Start: ast.Position{
												Column: 11,
												Line:   99,
											},
										},
									},
									Name: "values",
								},
								Value: nil,
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 24,
											Line:   99,
										},
										File:   "aggregate.flux",
										Source: "state",
										Start: ast.Position{
											Column: 19,
											Line:   99,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 24,
												Line:   99,
											},
											File:   "aggregate.flux",
											Source: "state",
											Start: ast.Position{
												Column: 19,
												Line:   99,
											},
										},
									},
									Name: "state",
								},
								Value: nil,
							}},
						},
					}, &ast.Property{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 65,
									Line:   103,
								},
								File:   "aggregate.flux",
								Source: "compute: (state) => float(v: state.sum) / float(v: state.count)",
								Start: ast.Position{
									Column: 2,
									Line:   103,
								},
							},
						},
						Key: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 9,
										Line:   103,
									},
									File:   "aggregate.flux",
									Source: "compute",
									Start: ast.Position{
										Column: 2,
										Line:   103,
									},
								},
							},
							Name: "compute",
						},
						Value: &ast.FunctionExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 65,
										Line:   103,
									},
									File:   "aggregate.flux",
									Source: "(state) => float(v: state.sum) / float(v: state.count)",
									Start: ast.Position{
										Column: 11,
										Line:   103,
									},
								},
							},
							Body: &ast.BinaryExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 65,
											Line:   103,
										},
										File:   "aggregate.flux",
										Source: "float(v: state.sum) / float(v: state.count)",
										Start: ast.Position{
											Column: 22,
											Line:   103,
										},
									},
								},
								Left: &ast.CallExpression{
									Arguments: []ast.Expression{&ast.ObjectExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 40,
													Line:   103,
												},
												File:   "aggregate.flux",
												Source: "v: state.sum",
												Start: ast.Position{
													Column: 28,
													Line:   103,
												},
											},
										},
										Properties: []*ast.Property{&ast.Property{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 40,
														Line:   103,
													},
													File:   "aggregate.flux",
													Source: "v: state.sum",
													Start: ast.Position{
														Column: 28,
														Line:   103,
													},
												},
											},
											Key: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 29,
															Line:   103,
														},
														File:   "aggregate.flux",
														Source: "v",
														Start: ast.Position{
															Column: 28,
															Line:   103,
														},
													},
												},
												Name: "v",
											},
											Value: &ast.MemberExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 40,
															Line:   103,
														},
														File:   "aggregate.flux",
														Source: "state.sum",
														Start: ast.Position{
															Column: 31,
															Line:   103,
														},
													},
												},
												Object: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 36,
																Line:   103,
															},
															File:   "aggregate.flux",
															Source: "state",
															Start: ast.Position{
																Column: 31,
																Line:   103,
															},
														},
													},
													Name: "state",
												},
												Property: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 40,
																Line:   103,
															},
															File:   "aggregate.flux",
															Source: "sum",
															Start: ast.Position{
																Column: 37,
																Line:   103,
															},
														},
													},
													Name: "sum",
												},
											},
										}},
										With: nil,
									}},
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 41,
												Line:   103,
											},
											File:   "aggregate.flux",
											Source: "float(v: state.sum)",
											Start: ast.Position{
												Column: 22,
												Line:   103,
											},
										},
									},
									Callee: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 27,
													Line:   103,
												},
												File:   "aggregate.flux",
												Source: "float",
												Start: ast.Position{
													Column: 22,
													Line:   103,
												},
											},
										},
										Name: "float",
									},
								},
								Operator: 2,
								Right: &ast.CallExpression{
									Arguments: []ast.Expression{&ast.ObjectExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 64,
													Line:   103,
												},
												File:   "aggregate.flux",
												Source: "v: state.count",
												Start: ast.Position{
													Column: 50,
													Line:   103,
												},
											},
										},
										Properties: []*ast.Property{&ast.Property{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 64,
														Line:   103,
													},
													File:   "aggregate.flux",
													Source: "v: state.count",
													Start: ast.Position{
														Column: 50,
														Line:   103,
													},
												},
											},
											Key: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 51,
															Line:   103,
														},
														File:   "aggregate.flux",
														Source: "v",
														Start: ast.Position{
															Column: 50,
															Line:   103,
														},
													},
												},
												Name: "v",
											},
											Value: &ast.MemberExpression{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 64,
															Line:   103,
														},
														File:   "aggregate.flux",
														Source: "state.count",
														Start: ast.Position{
															Column: 53,
															Line:   103,
														},
													},
												},
												Object: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 58,
																Line:   103,
															},
															File:   "aggregate.flux",
															Source: "state",
															Start: ast.Position{
																Column: 53,
																Line:   103,
															},
														},
													},
													Name: "state",
												},
												Property: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 64,
																Line:   103,
															},
															File:   "aggregate.flux",
															Source: "count",
															Start: ast.Position{
																Column: 59,
																Line:   103,
															},
														},
													},
													Name: "count",
												},
											},
										}},
										With: nil,
									}},
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 65,
												Line:   103,
											},
											File:   "aggregate.flux",
											Source: "float(v: state.count)",
											Start: ast.Position{
												Column: 44,
												Line:   103,
											},
										},
									},
									Callee: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 49,
													Line:   103,
												},
												File:   "aggregate.flux",
												Source: "float",
												Start: ast.Position{
													Column: 44,
													Line:   103,
												},
											},
										},
										Name: "float",
									},
								},
							},
							Params: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 17,
											Line:   103,
										},
										File:   "aggregate.flux",
										Source: "state",
										Start: ast.Position{
											Column: 12,
											Line:   103,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 17,
												Line:   103,
											},
											File:   "aggregate.flux",
											Source: "state",
											Start: ast.Position{
												Column: 12,
												Line:   103,
											},
										},
									},
									Name: "state",
								},
								Value: nil,
							}},
						},
					}},
					With: nil,
				}},
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 2,
							Line:   104,
						},
						File:   "aggregate.flux",
						Source: "define(\n\tinit: (values) => ({\n\t\tsum: math.sum(values),\n\t\tcount: length(arr: values),\n\t}),\n\treduce: (values, state) => ({\n\t\tsum: state.sum + math.sum(values),\n\t\tcount: state.count + length(arr: values),\n\t}),\n\tcompute: (state) => float(v: state.sum) / float(v: state.count),\n)",
						Start: ast.Position{
							Column: 8,
							Line:   94,
						},
					},
				},
				Callee: &ast.Identifier{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 14,
								Line:   94,
							},
							File:   "aggregate.flux",
							Source: "define",
							Start: ast.Position{
								Column: 8,
								Line:   94,
							},
						},
					},
					Name: "define",
				},
			},
		}},
		Imports: []*ast.ImportDeclaration{&ast.ImportDeclaration{
			As: nil,
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 33,
						Line:   3,
					},
					File:   "aggregate.flux",
					Source: "import \"contrib/jsternberg/math\"",
					Start: ast.Position{
						Column: 1,
						Line:   3,
					},
				},
			},
			Path: &ast.StringLiteral{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 33,
							Line:   3,
						},
						File:   "aggregate.flux",
						Source: "\"contrib/jsternberg/math\"",
						Start: ast.Position{
							Column: 8,
							Line:   3,
						},
					},
				},
				Value: "contrib/jsternberg/math",
			},
		}},
		Metadata: "parser-type=rust",
		Name:     "aggregate.flux",
		Package: &ast.PackageClause{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 18,
						Line:   1,
					},
					File:   "aggregate.flux",
					Source: "package aggregate",
					Start: ast.Position{
						Column: 1,
						Line:   1,
					},
				},
			},
			Name: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 18,
							Line:   1,
						},
						File:   "aggregate.flux",
						Source: "aggregate",
						Start: ast.Position{
							Column: 9,
							Line:   1,
						},
					},
				},
				Name: "aggregate",
			},
		},
	}},
	Package: "aggregate",
	Path:    "contrib/jsternberg/aggregate",
}
